Bug 198856 - kernel dm: dm-crypt - need workqueue change to allow reduced stack use
kernel dm: dm-crypt - need workqueue change to allow reduced stack use
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 04:46 EDT by Milan Broz
Modified: 2013-02-28 23:04 EST (History)
3 users (show)

See Also:
Fixed In Version: RHEL5beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 04:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2006-07-14 04:46:54 EDT
Description of problem:

Current implementation of map function in dm-crypt waits for
earlies items to complete to solve insufficient memory situations.
/* out of memory -> run queues */
        if (remaining)
                blk_congestion_wait(bio_data_dir(clone), HZ/100);

This will not work after reduce stack changes in generic_make_request()
which will not process IOs immediately.
(md-dm-reduce-stack-usage-with-stacked-block-devices.patch)

Processing of map request and most of its workload should be moved
to dm-crypt workqueue.
Comment 1 Milan Broz 2006-12-04 04:26:49 EST
Already in RHEL5beta2 (from upstream).

Note You need to log in before you can comment on or make changes to this bug.